<?php

namespace Drupal\Tests\filefield_sources\Functional;

/**
 * Tests the clipboard source.
 *
 * @group filefield_sources
 */
class ClipboardSourceTest extends FileFieldSourcesTestBase {

  /**
   * Tests clipboard source enabled.
   */
  public function testClipboardSourceEnabled() {
    $this->enableSources([
      'clipboard' => TRUE,
    ]);
    $file = $this->createTemporaryFileEntity();

    $this->uploadFileByClipboardSource($file->getFileUri(), $file->getFilename(), 0);

    // We can only upload one file on single value field.
    $button = $this->xpath('//input[@value="Upload"]');
    $this->assertEmpty($button);

    $this->removeFile($file->getFilename(), 0);

    // Can upload file again.
    $button = $this->xpath('//input[@value="Upload"]');
    $this->assertNotEmpty($button);
  }

}
