<?php

namespace Drupal\Tests\filefield_sources\Functional;

/**
 * Tests the imce source.
 *
 * @group filefield_sources
 */
class ImceSourceTest extends FileFieldSourcesTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['imce'];

  /**
   * Sets up for imce source test case.
   */
  protected function setUp() : void {
    parent::setUp();
    $this->setUpImce();
  }

  /**
   * Tests imce source enabled.
   */
  public function testImceSourceEnabled() {
    $this->enableSources([
      'imce' => TRUE,
    ]);
    $file = $this->createPermanentFileEntity();

    $this->uploadFileByImceSource($file->getFileUri(), $file->getFilename(), 0);

    // We can only upload one file on single value field.
    $button = $this->xpath('//input[@value="Select"]');
    $this->assertEmpty($button);

    $this->removeFile($file->getFilename(), 0);

    // Can upload file again.
    $button = $this->xpath('//input[@value="Select"]');
    $this->assertNotEmpty($button);
  }

}
